import axios  from 'axios';

// baseURL: process.env.VUE_APP_BASE_URL,
var apiInstance=axios.create({
    baseURL: '',
    timeout:10000,
    withCredentials:true
})

/*为请求添加请求头中的token*/
apiInstance.interceptors.request.use(config=>{
    if(sessionStorage.token){
        /*sessionStorage.getItem('tokenMobile')*/
        config.headers.Authorization= '';
        if(typeof(config.params) == "undefined"){
            config.params={}
        }
    }
    return config;//赋值完后把config返回回去
},error => {
    // 请求错误后把我们的error返回回去
    return Promise.reject(error);
})
/*获取网点*/
export const getNetworkInfo = params =>{
    return apiInstance.get(`/api/basic-info/v1/basic-info/basic-network-info/get-network-info`,{params});
};

//获取用领取记录
export const getUserCollectRecord = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-provide-record`, {params})
}

//根据领取单号获取领取记录
export const getUserCollectRecordByNo = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-provide-record/query-by-no`, {params})
}

//获取库存信息
export const getStockInfo = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-basic-info/basic-info`, {params})
}

//判断用户首次领取是否已填随访
export const getUserReceiveNum = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-provide-record/number/${params.residentId}`, {params})
}

//填写随访记录
export const addVisitRecord = params => {
    return apiInstance.post(`/api/stock-info/v1/stock-info/stock-visit-info`, params)
}

//确认领取药具
export const addMedicalRecord = params => {
    return apiInstance.post(`/api/stock-info/v1/stock-info/stock-provide-record`, params)
}

//获取人工网点药具信息
export const getManualNetworkMedical = params => {
    return apiInstance.get(`/api/stock-info/v1/stock-info/stock-basic-info/phone-network-stock-info`, {params})
}

//人工网点领取
export const addManualMedicalRecord = params => {
    return apiInstance.post(`/api/stock-info/v1/stock-info/stock-provide-record/artificial-receive`, params)
}
